## com.fasterxml.jackson.databind.node
Class ContainerNode.NoStringsIterator

    java.lang.Object
      com.fasterxml.jackson.databind.node.ContainerNode.NoStringsIterator

All Implemented Interfaces:
  Iterator<String>

Enclosing class:
  ContainerNode<T extends ContainerNode<T>>

    protected static class ContainerNode.NoStringsIterator

extends Object
implements Iterator<String>

Method Summary
`boolean` `hasNext()`
`static ContainerNode.NoStringsIterator` `instance()`
`String` `next()`
`void` `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### instance

    public static ContainerNode.NoStringsIterator instance()

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator<String>`

### next

    public String next()

  Specified by:
    `next` in interface `Iterator<String>`

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator<String>`

Copyright © 2012 fasterxml.com. All Rights Reserved.